de.esprit.common.util

## Class AbstractOneShotTimer

- java.lang.Object
- - java.lang.Thread
  - - de.esprit.common.concurrent.CancellableThread
    - - de.esprit.common.util.AbstractOneShotTimer

- All Implemented Interfaces:
    Cancellable, java.lang.Runnable

      public abstract class AbstractOneShotTimer
      extends CancellableThread

  This class is a simple timer that fires once after the given delay.
  Author:
    Rainer Buesch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOneShotTimer(long delay)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `actionFired()`
    `void` | `run()`

    - ### Methods inherited from class de.esprit.common.concurrent.CancellableThread

      `cancel, checkCancelled, toString, toString, wasCancelled`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractOneShotTimer

          public AbstractOneShotTimer(long delay)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### actionFired

          protected abstract void actionFired()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.